﻿@model ProyectoLenguajes.Models.Order
@{
    ViewData["Title"] = "EditOrder";
    Layout = "~/Views/Shared/_Layout.cshtml";

}


<form method="post" class="border col-12" enctype="multipart/form-data">
    <div class="row p-3">
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>

        <div class="col-12 border-bottom">
            <h2 class="text-info">Edit Order</h2>
        </div>
        <div class="col-7 pt-4">
            <div class="form-group row col-12">
                <div class="col-3">
                    <label asp-for="Status"></label>
                </div>
                <div class="col-10">
                    <select asp-for="Status" class="form-select">
                        <option value="On Time">On Time</option>
                        <option value="Over Time">Over Time</option>
                        <option value="Delayed">Delayed</option>
                        <option value="Delivered">Delivered</option>
                        <option value="Annulled">Annulled</option>
                    </select>
                    <span asp-validation-for="Status" class="text-danger"></span>
                </div>
            </div>
            <div class="row col-12">
                <div class="form-group row col-6">
                    <div class="col-4">
                        <label asp-for="ApplicationUser.Name"></label>
                    </div>
                    <div class="col-12">
                            <input asp-for="ApplicationUser.Name" class="form-control" disabled/>
                            <span asp-validation-for="ApplicationUser.Name" class="text-danger"></span>
                    </div>
                </div>
            </div>
            <div class="row col-12">
                <div class="form-group row col-6">
                    <div class="col-4">
                        <label asp-for="Date"></label>
                    </div>
                    <div class="col-12">
                        <input asp-for="Date" class="form-control" disabled />
                        <span asp-validation-for="Date" class="text-danger"></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-12 mb-3 offset-4">
        @if (Model.Id != 0)
        {
            <div class="col-4 justify-content-center">
                <partial name="_EditBackButtons" model="Model.Id" />
            </div>
        }
        else
        {
            <div class="row col-4 justify-content-center">
                <div class="col">
                    <button type="submit" onclick="return validateInput()" class="btn btn-primary form-control">Update</button>
                </div>
                <div class="col">
                    <a asp-action="Index" class="btn btn-success form-control">Back to List</a>
                </div>
            </div>
        }
    </div>
</form>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
    <script src="https://cdn.tiny.cloud/1/dn3ry0rcqra8e6p31pqoqaxuxamf5jsbw4mykb6g8qiadrk5/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>

    <script>
        tinymce.init({
            selector: 'textarea',
            plugins: 'lists',
            manubar: 'file edit format'
        });

        function validateInput() {
            if (document.getElementById("uploadBox").value == "") {
                swal("Error", "Please, select an image", "error");
                return false;
            }
            return true;
        }
    </script>
}